# gateway

![Version: 0.0.1-local](https://img.shields.io/badge/Version-0.0.1--local-informational?style=flat-square) ![Type: application](https://img.shields.io/badge/Type-application-informational?style=flat-square) ![AppVersion: 0.0.1-local](https://img.shields.io/badge/AppVersion-0.0.1--local-informational?style=flat-square)

Monoskope Gateway

## Values

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| affinity | object | `{}` |  |
| auth.identityProviderURL | string | `""` | The URL of the issuer to use for OIDC |
| auth.redirectUris | list | `["http://localhost:8000","http://localhost:18000"]` | The allowed redirect URIs for authentication flow |
| auth.scopes | list | `["openid","profile","email"]` | Additional scopes to request from upstream IDP |
| auth.selfURL | string | `""` | The URL of the issuer to Gateway itself |
| authTokenValidity | string | `"12h"` | Duration for which issued Monoskope auth tokens are valid |
| autoscaling.enabled | bool | `false` |  |
| autoscaling.maxReplicas | int | `10` |  |
| autoscaling.minReplicas | int | `1` |  |
| autoscaling.targetCPUUtilizationPercentage | int | `80` |  |
| eventStore | object | `{"host":"eventstore","port":8080,"prefix":""}` | API address of the event store |
| fullnameOverride | string | `""` |  |
| global | object | `{}` |  |
| image.pullPolicy | string | `"Always"` |  |
| image.repository | string | `"ghcr.io/finleap-connect/monoskope/gateway"` |  |
| image.tag | string | `""` | Overrides the image tag whose default is the chart appVersion. |
| imagePullSecrets | list | `[]` |  |
| k8sTokenLifetime | object | `{"admin":"5m","default":"12h","oncall":"10m"}` | Duration for which issued K8s auth tokens are valid per role |
| keepAlive | bool | `false` |  |
| keySecret | object | `{"name":""}` | The secret containing private key for signing JWTs. Must contain tls.key containing the private key for signing and tls.crt containing public key for verification. |
| keySecret.name | string | `""` | Name of the secret to be used by the gateway, required |
| labels | object | `{}` |  |
| livenessProbe.enabled | bool | `true` |  |
| livenessProbe.failureThreshold | int | `10` |  |
| livenessProbe.initialDelaySeconds | int | `10` |  |
| livenessProbe.periodSeconds | int | `5` |  |
| messageBus.configSecret | string | `""` | Name of the configmap containing the config for the messagebus |
| messageBus.routingKeyPrefix | string | `"m8"` | Prefix for routing messages via message bus |
| messageBus.tlsSecret | string | `""` | Name of the secret containing the tls certificates/keys |
| messageBus.url | string | `"amqps://127.0.0.1:5672/"` | URL of the bus |
| nameOverride | string | `""` |  |
| nodeSelector | object | `{}` |  |
| oidcSecret | object | `{"name":""}` | The secret where the gateway finds the OIDC secrets. Must contain the fields oidc-clientsecret, oidc-clientid and oidc-nonce. |
| oidcSecret.name | string | `""` | Name of the secret to be used by the gateway, required |
| podAnnotations | object | `{}` |  |
| podSecurityContext | object | `{}` |  |
| readinessProbe.enabled | bool | `true` |  |
| readinessProbe.failureThreshold | int | `5` |  |
| readinessProbe.initialDelaySeconds | int | `5` |  |
| readinessProbe.periodSeconds | int | `5` |  |
| replicaCount | int | `1` |  |
| resources | object | `{}` |  |
| securityContext | object | `{}` |  |
| service.grpcApiPort | int | `8080` |  |
| service.httpApiPort | int | `8081` |  |
| service.metricsPort | int | `9102` |  |
| service.type | string | `"ClusterIP"` |  |
| tlsSecretName | string | `""` | Name of the secret containing the tls certificate/key the Gateway grpc endpoint should use for TLS |
| tolerations | list | `[]` |  |

----------------------------------------------
Autogenerated from chart metadata using [helm-docs v1.4.0](https://github.com/norwoodj/helm-docs/releases/v1.4.0)
